﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComboBoxColumns
{
    public class EmployeeInfoCollection
    {
        private ObservableCollection<EmployeeInfo> empcollection;

        public ObservableCollection<EmployeeInfo> EmpCollection
        {
            get { return empcollection; }
            set { this.empcollection = value; }
        }

        private ObservableCollection<CompanyItem> companies;

        public ObservableCollection<CompanyItem> Companies
        {
            get { return companies; }
            set { companies = value; }
        }

        public EmployeeInfoCollection()
        {
            companies = new ObservableCollection<CompanyItem>()
            {
                new CompanyItem() {CountryCode = "NR", CountryName = "NAURU"},
                new CompanyItem() {CountryCode = "NP", CountryName = "NEPAL"},
                new CompanyItem() {CountryCode = "NL", CountryName = "NETHERLANDS"},
                new CompanyItem() {CountryCode = "AN", CountryName = "NETHERLANDS ANTILLES"},
                new CompanyItem() {CountryCode = "NC", CountryName = "NEW CALEDONIA"},
                new CompanyItem() {CountryCode = "NZ", CountryName = "NEW ZEALAND"},
                new CompanyItem() {CountryCode = "NI", CountryName = "NICARAGUA"},
                new CompanyItem() {CountryCode = "NE", CountryName = "NIGER"},
                new CompanyItem() {CountryCode = "NG", CountryName = "NIGERIA"},
                new CompanyItem() {CountryCode = "NU", CountryName = "NIUE"}
            };

            this.empcollection = new ObservableCollection<EmployeeInfo>();
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Busan Drury",
                Number = 123456,
                Id = 1,
                Address = "Chicago",
                CountryCode = "NR",
                Gender = "M",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Gary Dusza",
                Number = 234567,
                Id = 2,
                Address = "Houston",
                CountryCode = "NP",
                Gender = "M",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Maciej Drury   ",
                Number = 345678,
                Id = 3,
                Address = "Phoenix",
                CountryCode = "NL",
                Gender = "M",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Shelley Dyck",
                Number = 456789,
                Id = 4,
                Address = "San Antonio",
                CountryCode = "AN",
                Gender = "M",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Linda Ecoffey",
                Number = 567890,
                Id = 5,
                Address = "San Diego",
                CountryCode = "NC",
                Gender = "F",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Carla Eldridge",
                Number = 678901,
                Id = 6,
                Address = " Dallas",
                CountryCode = "NZ",
                Gender = "M",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Carol Elliott",
                Number = 123456,
                Id = 7,
                Address = "San Jose",
                CountryCode = "NI",
                Gender = "M",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Shannon Elliott",
                Number = 234567,
                Id = 8,
                Address = "Columbus",
                CountryCode = "NE",
                Gender = "M",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Jauna Elson",
                Number = 345678,
                Id = 9,
                Address = "Charlotte",
                CountryCode = "NG",
                Gender = "F",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Michael Emanuel",
                Number = 456789,
                Id = 10,
                Address = "Fort Worth",
                CountryCode = "NU",
                Gender = "F",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Terry Eminhizer     ",
                Number = 567890,
                Id = 11,
                Address = "Boston",
                CountryCode = "NR",
                Gender = "F",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "John Emory",
                Number = 678901,
                Id = 12,
                Address = " Oklahoma City",
                CountryCode = "NP",
                Gender = "F",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Gail Erickson",
                Number = 123456,
                Id = 13,
                Address = "Portland",
                CountryCode = "NL",
                Gender = "F",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Martha Espinoza",
                Number = 234567,
                Id = 14,
                Address = " Las Vegas",
                CountryCode = "AN",
                Gender = "M",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Mark Erickson",
                Number = 345678,
                Id = 15,
                Address = " Milwaukee",
                CountryCode = "NC",
                Gender = "F",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Martha Espinoza",
                Number = 456789,
                Id = 16,
                Address = "Sacramento",
                CountryCode = "NZ",
                Gender = "M",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Julie Estes",
                Number = 567890,
                Id = 17,
                Address = "Kansas City",
                CountryCode = "NI",
                Gender = "M",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "JEYA KARTHIKA",
                Number = 678901,
                Id = 18,
                Address = "Minneapolis",
                CountryCode = "NE",
                Gender = "F",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Janeth Esteves",
                Number = 123456,
                Id = 19,
                Address = "Cleveland",
                CountryCode = "NG",
                Gender = "F",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Twanna Evans",
                Number = 234567,
                Id = 20,
                Address = " Bakersfield",
                CountryCode = "NU",
                Gender = "M",
                CompanyList = companies
            });
            this.empcollection.Add(new EmployeeInfo()
            {
                Name = "Julie Estes",
                Number = 345678,
                Id = 21,
                Address = " Riverside",
                CountryCode = "NP",
                Gender = "F",
                CompanyList = companies
            });
        }
    }
}
